---
title: shape-margin
slug: Web/CSS/shape-margin
tags:
  - Boundaries
  - CSS
  - CSS Property
  - CSS Shapes
  - Float Area
  - Property
  - Reference
  - Shape
  - float
  - margin
  - 'recipe:css-property'
  - shape-margin
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The<strong> <code>shape-margin</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets a margin for a CSS shape created using {{cssxref("shape-outside")}}.</span></p>

<div>{{EmbedInteractiveExample("pages/css/shape-margin.html")}}</div>

<p>The margin lets you adjust the distance between the edges of the shape (the <strong>float element</strong>) and the surrounding content.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;length&gt; values */
shape-margin: 10px;
shape-margin: 20mm;

/* &lt;percentage&gt; value */
shape-margin: 60%;

/* Global values */
shape-margin: inherit;
shape-margin: initial;
shape-margin: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>&lt;length-percentage&gt;</code></dt>
 <dd>Sets the margin of the shape to a {{cssxref("&lt;length&gt;")}} value or to a {{cssxref("&lt;percentage&gt;")}} of the width of the element's containing block.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Adding_a_margin_to_a_polygon">Adding a margin to a polygon</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;section&gt;
&lt;div class="shape"&gt;&lt;/div&gt;
We are not quite sure of any one thing in biology; our knowledge of geology
is relatively very slight, and the economic laws of society are
uncertain to every one except some individual who attempts to set them
forth; but before the world was fashioned the square on the hypotenuse
was equal to the sum of the squares on the other two sides of a right
triangle, and it will be so after this world is dead; and the inhabitant
of Mars, if he exists, probably knows its truth as we know it.&lt;/section&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">section {
  max-width: 400px;
}

.shape {
  float: left;
  width: 150px;
  height: 150px;
  background-color: maroon;
  clip-path: polygon(0 0, 150px 150px, 0 150px);
  shape-outside: polygon(0 0, 150px 150px, 0 150px);
  shape-margin: 20px;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Adding_a_margin_to_a_polygon", 500, 250)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS Shapes', '#shape-margin-property', 'shape-margin')}}</td>
   <td>{{Spec2('CSS Shapes')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.properties.shape-margin")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Shapes">CSS Shapes</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Shapes/Overview_of_CSS_Shapes">Overview of CSS Shapes</a></li>
 <li>{{cssxref("shape-outside")}}</li>
 <li>{{cssxref("shape-image-threshold")}}</li>
 <li>{{cssxref("&lt;basic-shape&gt;")}}</li>
</ul>
